Package picard.sam.SamErrorMetric

## Enum ReadBaseStratification.Consensus

- java.lang.Object
- - java.lang.Enum<ReadBaseStratification.Consensus>
  - - picard.sam.SamErrorMetric.ReadBaseStratification.Consensus

- All Implemented Interfaces:
    `Serializable`, `Comparable<ReadBaseStratification.Consensus>`
  Enclosing class:
    ReadBaseStratification

      public static enum ReadBaseStratification.Consensus
      extends Enum<ReadBaseStratification.Consensus>

  Types of consensus reads as determined by the number of duplicates used from first and second strands.
- `SIMPLEX_SINGLETON`
- `SIMPLEX_CONSENSUS`
- `DUPLEX_SINGLETON`
- `DUPLEX_CONSENSUS`
- `UNKNOWN`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DUPLEX_CONSENSUS` | Consensus read which has two or more observations in both directions.
    `DUPLEX_SINGLETON` | Read which has two observations, one from each direction.
    `SIMPLEX_CONSENSUS` | Read which had multiple observations, but all from the same strand (or the strand could not be determined).
    `SIMPLEX_SINGLETON` | Read which only one observation is made.
    `UNKNOWN` | Read whose consensus status cannot be determined.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ReadBaseStratification.Consensus` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ReadBaseStratification.Consensus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SIMPLEX_SINGLETON

          public static final ReadBaseStratification.Consensus SIMPLEX_SINGLETON

      Read which only one observation is made. In a sense, these are not consensus reads.

    - #### SIMPLEX_CONSENSUS

          public static final ReadBaseStratification.Consensus SIMPLEX_CONSENSUS

      Read which had multiple observations, but all from the same strand (or the strand could not be determined).

    - #### DUPLEX_SINGLETON

          public static final ReadBaseStratification.Consensus DUPLEX_SINGLETON

      Read which has two observations, one from each direction.

    - #### DUPLEX_CONSENSUS

          public static final ReadBaseStratification.Consensus DUPLEX_CONSENSUS

      Consensus read which has two or more observations in both directions.

    - #### UNKNOWN

          public static final ReadBaseStratification.Consensus UNKNOWN

      Read whose consensus status cannot be determined.

  - ### Method Detail

    - #### values

          public static ReadBaseStratification.Consensus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ReadBaseStratification.Consensus c : ReadBaseStratification.Consensus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ReadBaseStratification.Consensus valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null